#!/bin/bash
set -evx
#
# Wrapper script to run monthly_pctl.sh# 
# 
# chloe Prodhomme (Mars 2014)
# wrapper for monthly_pctl.sh
# 
# >>>>>>>>>>>>>>>>>>>>>>>> User-defined parameters>>>>>>>>>>>>>>>
exptype="ecearth2.3" #or ENSEMBLES -> to add new type need to modify the script monthly_pctl.sh
NLT=4
monlst=(05 11)
explst=(b0cm)
varlst=(sfcwind)
monlst=(11)
explst=(b0cm b0gq)
varlst=(prlr)
til=90
y1=1981
y2=2010
path_to_script=. 
cp $path_to_script/monthly_pctl.sh 6h-montil-${exptype}.sh
sed -i -e "/^NLT/c\NLT=`echo "${NLT}"`" 6h-montil-${exptype}.sh
sed -i -e "/^monlst/c\monlst=(`echo "${monlst[@]}"`)" 6h-montil-${exptype}.sh
sed -i -e "/^explst/c\explst=(`echo "${explst[@]}"`)" 6h-montil-${exptype}.sh
sed -i -e "/^varlst/c\varlst=(`echo "${varlst[@]}"`)"  6h-montil-${exptype}.sh
sed -i -e "/^til/c\til=`echo "${til}"`"  6h-montil-${exptype}.sh
sed -i -e "/^y1/c\y1=`echo "${y1}"`"  6h-montil-${exptype}.sh
sed -i -e "/^exptype/c\exptype=`echo "${exptype}"`"  6h-montil-${exptype}.sh
sed -i -e "/^y2/c\y2=`echo "${y2}"`" 6h-montil-${exptype}.sh 
sed -i -e "/^#SBATCH -J monthly_pctl /c\#SBATCH -J monthly_pctl_`echo ${exptype}`" 6h-montil-${exptype}.sh 
#create the directory for the error and output file
#mkdir /cfu/scratch/$(whoami)/slurm/

chmod 755 6h-montil-${exptype}.sh
sbatch 6h-montil-${exptype}.sh #to be run on stargate
#./6h-montil-${exptype}.sh # to be run on any other machine
